<template>
  <div class="survey-play-section">
    <!-- <main-header></main-header> -->

    <div class="content-section position-relative">
      <img src="@/assets/img/game_overlay.png" class="bg position-absolute w-100 top-0 start-0" />
      <div class="container py-5">
        <div class="row">
          <div class="col col-12 col-lg-3 order-lg-last">
            <custom-rightbar></custom-rightbar>
          </div>
          <div class="col col-12 col-lg-9">
            <div class="play-wrap bg-white position-relative mt-5 mt-lg-0" style="overflow: hidden;">
              <div class="px-5 pt-5">
                <one-question type="survey" @choose-answer="chooseAnswer"></one-question> 
              </div>
              <div class="game-timer px-5 pt-4 pb-3">
                <p class="fs-1">{{ convertTime }}</p> 
              </div>
              <button
                class="btn-pass btn btn-danger fw-bolder position-absolute px-4"
                style="bottom: 0; right: 0; border-radius: 16px 0 0 0; opacity: .5; font-size: 22px;"
              >
                PASS
              </button>
            </div>
          </div>
          <div class="col col-12 d-lg-none mt-5">
            <user-info></user-info>
          </div>
        </div>
      </div>
    </div>

    <!-- <main-footer></main-footer> -->
  </div>
</template>

<script>
import CustomRightbar from "../components/play-quiz-survey/CustomRightbar.vue";
import UserInfo from "../components/play-quiz-survey/UserInfo.vue";
import OneQuestion from '../components/play-quiz-survey/OneQuestion.vue';

export default {
  components: {
    CustomRightbar,
    UserInfo,
    OneQuestion
  },
  data() {
    return {
      timeOut: 60,
      idTimeOut: null,
      listQuestId: [],
      listAnswered: [],
      questInfo: {},
      startDate: null
    }
  },
  computed: {
    convertTime() {
      let timeOut = this.timeOut;
      let minute = Math.floor(timeOut/60);
      let second = timeOut%60;

      minute = minute < 10 ? `0${minute}` : minute;
      second = second < 10 ? `0${second}` : second;
      return `${minute}:${second}`;
    }
  },
  methods: {
    setUpGame() {


      this.startTimeOut();
    },
    pauseTimeOut() {
      clearInterval(this.idTimeOut);
    },
    startTimeOut() {
      this.idTimeOut = setInterval(() => {
        if (this.timeOut === 0) {
          clearInterval(this.idTimeOut);
          return;
        }
        this.timeOut -= 1;
      }, 1000);
    },
    chooseAnswer() {
      this.pauseTimeOut();
    }
  },
  mounted () {
    this.setUpGame();
  }
};
</script>

<style scoped>
.content-section img {
  height: 100%;
  object-fit: cover;
  z-index: -1;
}
.play-wrap {
  border-radius: 32px;
}
</style>
